Display, create, revise, and delete payee information.
Operations
getPayee
POST
Retrieves detailed information about a payee.
Authorizations
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
Bodyapplication/json
PayeeNumberstringrequiredLoading fields…
Path Parameters
symstringrequired- Sym number
Responses
Loading fields…
POST
/nexum/{sym}/2022.01/payee/getPayeePOST /nexum/627/2022.01/payee/getPayee HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"PayeeNumber": "0"
}getPayeeSelectFields
POST
Retrieves selected fields of information for a payee.
Authorizations
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
Bodyapplication/json
PayeeNumberstringoptionalLoading fields…
Path Parameters
symstringrequired- Sym number
Responses
Loading fields…
POST
/nexum/{sym}/2022.01/payee/getPayeeSelectFieldsPOST /nexum/627/2022.01/payee/getPayeeSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"PayeeNumber": "0",
"SelectableFields": {
"IncludeAllPayeeFields": true
}
}updatePayeeByID
POST
Updates information about a payee based on its ID.
Authorizations
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
Bodyapplication/json
PayeeNumberstringoptionalLoading fields…
Path Parameters
symstringrequired- Sym number
Responses
Loading fields…
POST
/nexum/{sym}/2022.01/payee/updatePayeeByIDPOST /nexum/627/2022.01/payee/updatePayeeByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"PayeeNumber": "0",
"PayeeUpdatableFields": {
"ContactName": "string"
}
}createPayee
POST
Adds a new payee.
Authorizations
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
Bodyapplication/json
Loading fields…
Path Parameters
symstringrequired- Sym number
Responses
PayeeNumberstringoptionalLoading fields…
POST
/nexum/{sym}/2022.01/payee/createPayeePOST /nexum/627/2022.01/payee/createPayee HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"PayeeCreatableFields": {
"Number": "0",
"Name": "string",
"Street": "string",
"City": "string",
"State": "string",
"ZipCode": "0"
}
}deletePayee
POST
Removes an existing payee.
Authorizations
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
Bodyapplication/json
PayeeNumberstringrequiredLoading fields…
Path Parameters
symstringrequired- Sym number
Responses
nxAttributesobjectoptionalThe custom object for NexumAPI response attributes.Loading fields…
POST
/nexum/{sym}/2022.01/payee/deletePayeePOST /nexum/627/2022.01/payee/deletePayee HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"PayeeNumber": "0"
}